Create a client
Analytics Events
/v1/tenants/{tenantId}/clientsCreates a new client for the requested tenant.
Analytic events
- TENANT_CLIENT_CREATE_START
- TENANT_CLIENT_CREATE_SUCCESS
- TENANT_CLIENT_CREATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique ID of the tenant to create a client for.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/clients" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "roles": [ "admin" ] }'{ "clientId": "stringstringstringstringstringst", "name": "string", "permissions": [ "string" ], "roles": [ "admin" ], "clientSecret": "string"}How would you rate this page?
Retrieve user information GET
Retrieves information about the currently authenticated user. ### **Analytic events** * USER_USERINFO_RETRIEVE_START * USER_USERINFO_RETRIEVE_SUCCESS * USER_USERINFO_RETRIEVE_FAIL
Retrieve clients GET
Retrieves a list of clients authorized to interact with the requested tenant. ### **Analytic events** * TENANT_CLIENT_RETRIEVE_LIST_START * TENANT_CLIENT_RETRIEVE_LIST_SUCCESS * TENANT_CLIENT_RETRIEVE_LIST_FAIL